%global pypi_name tinycss
%global pypi_oname tinycss

Name:           python-%{pypi_name}
Version:        0.3
Release:        %mkrel 7
Group:          Development/Python
Summary:        tinycss is a complete yet simple CSS parser for Python

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/c/%{pypi_oname}/%{pypi_oname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
tinycss is a complete yet simple CSS parser for Python.

%package -n python3-%{pypi_name}
Summary:        tinycss is a complete yet simple CSS parser for Python 3
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
tinycss is a complete yet simple CSS parser for Python 3.

%prep
%setup -q -n %{pypi_oname}-%{version}

%autopatch -p1

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%{python2_sitearch}/%{pypi_name}*

%files -n python3-%{pypi_name}
%{python3_sitearch}/%{pypi_name}*


%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 0.3-7.mga6
+ Revision: 1007073
- use new python macros

* Fri Feb 12 2016 umeabot <umeabot> 0.3-6.mga6
+ Revision: 958695
- Mageia 6 Mass Rebuild

* Fri Sep 11 2015 ovitters <ovitters> 0.3-5.mga6
+ Revision: 878219
+ rebuild (emptylog)

* Wed Oct 15 2014 umeabot <umeabot> 0.3-5.mga5
+ Revision: 748690
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3-4.mga5
+ Revision: 729883
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3-3.mga5
+ Revision: 688381
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3-2.mga5
+ Revision: 629059
- Rebuild for new Python

* Wed Oct 30 2013 neoclust <neoclust> 0.3-1.mga4
+ Revision: 548067
- imported package python-tinycss

